Cent OS 7.4 need you help



  • Hey guys! Could you please help me to understand what I do wrong.
    I've got problem during the installation on Cent OS 7.4 and Shinobi doesn't want to log in. Guide me please. Thank you in advance!

    Install Shinobi CE or Shinobi Pro?

    *Note : Shinobi Pro is free for personal use.
    *Learn more at http://shinobi.video/pro

    (C)E or (P)ro? Default : Pro
    p
    Install the Development branch?
    (y)es or (N)o? Default : No
    n
    Getting the Master Branch
    Cloning into 'Shinobi'...
    remote: Counting objects: 1982, done.
    remote: Compressing objects: 100% (75/75), done.
    remote: Total 1982 (delta 94), reused 114 (delta 73), pack-reused 1834
    Receiving objects: 100% (1982/1982), 4.41 MiB | 1.77 MiB/s, done.
    Resolving deltas: 100% (1226/1226), done.

    ---------- Shinobi Systems ----------
    Repository : https://github.com/ShinobiCCTV/Shinobi
    Product : Shinobi Professional (Pro)
    Branch : master
    Version : 628eae76beaf2c5d0ff3218160dff42b6a5a38fb
    Date : Tue Mar 6 01:53:39 MSK 2018


    -----------------------------------
    Shinobi Installer

    Select your OS
    If your OS is not on the list please refer to the docs.

    1. Ubuntu
    2. CentOS
    3. MacOS
      ========
      2
      =========================================================
      ==!! Shinobi : The Open Source CCTV and NVR Solution !!==
      =========================================================
      To answer yes type the letter (y) in lowercase and press ENTER.
      Default is no (N). Skip any components you already have or don't need.
      =============
      Shinobi - Run yum update
      Loaded plugins: fastestmirror, langpacks
      Loading mirror speeds from cached hostfile

    Dependencies Resolved

    ================================================================================
    Package Arch Version Repository Size

    Installing:
    epel-release noarch 7-9 extras 14 k

    Transaction Summary

    Install 1 Package

    Total download size: 14 k
    Installed size: 24 k
    Downloading packages:
    epel-release-7-9.noarch.rpm | 14 kB 00:00
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
    Installing : epel-release-7-9.noarch 1/1
    Verifying : epel-release-7-9.noarch 1/1

    Installed:
    epel-release.noarch 0:7-9

    Complete!
    Retrieving http://li.nux.ro/download/nux/dextop/el7/x86_64/nux-dextop-release-0-1.el7.nux.noarch.rpm
    Preparing... ################################# [100%]
    Updating / installing...
    1:nux-dextop-release-0-1.el7.nux ################################# [100%]
    Loaded plugins: fastestmirror, langpacks
    epel/x86_64/metalink | 28 kB 00:00
    epel | 4.7 kB 00:00
    nux-dextop | 2.9 kB 00:00
    (1/4): epel/x86_64/group_gz | 266 kB 00:00
    (2/4): epel/x86_64/updateinfo | 899 kB 00:00
    (3/4): epel/x86_64/primary_db | 6.3 MB 00:00
    (4/4): nux-dextop/x86_64/primary_db | 1.7 MB 00:01
    Loading mirror speeds from cached hostfile

    • base: centos-mirror.rbc.ru
    • epel: mirror.logol.ru
    • extras: centos-mirror.rbc.ru
    • nux-dextop: li.nux.ro
    • updates: centos-mirror.rbc.ru
      Resolving Dependencies
      --> Running transaction check
      ---> Package ffmpeg.x86_64 0:2.6.8-3.el7.nux will be installed
      --> Processing Dependency: ffmpeg-libs(x86-64) = 2.6.8-3.el7.nux for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libswscale.so.3(LIBSWSCALE_3)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libswresample.so.1(LIBSWRESAMPLE_1)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libpostproc.so.53(LIBPOSTPROC_53)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavutil.so.54(LIBAVUTIL_54)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavresample.so.2(LIBAVRESAMPLE_2)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavformat.so.56(LIBAVFORMAT_56)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavfilter.so.5(LIBAVFILTER_5)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavdevice.so.56(LIBAVDEVICE_56)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavcodec.so.56(LIBAVCODEC_56)(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libvdpau.so.1()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libswscale.so.3()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libswresample.so.1()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libpostproc.so.53()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavutil.so.54()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavresample.so.2()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavformat.so.56()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavfilter.so.5()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavdevice.so.56()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libavcodec.so.56()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libSDL-1.2.so.0()(64bit) for package: ffmpeg-2.6.8-3.el7.nux.x86_64
      ---> Package ffmpeg-devel.x86_64 0:2.6.8-3.el7.nux will be installed
      --> Running transaction check
      ---> Package SDL.x86_64 0:1.2.15-14.el7 will be installed
      ---> Package ffmpeg-libs.x86_64 0:2.6.8-3.el7.nux will be installed
      --> Processing Dependency: libxvidcore.so.4()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libx265.so.79()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libx264.so.142()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libva.so.1()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libsoxr.so.0()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libschroedinger-1.0.so.0()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libmp3lame.so.0()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libfdk-aac.so.1()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libfaac.so.0()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libass.so.5()(64bit) for package: ffmpeg-libs-2.6.8-3.el7.nux.x86_64
      ---> Package libavdevice.x86_64 0:2.6.8-3.el7.nux will be installed
      --> Processing Dependency: libopenal.so.1()(64bit) for package: libavdevice-2.6.8-3.el7.nux.x86_64
      --> Processing Dependency: libdc1394.so.22()(64bit) for package: libavdevice-2.6.8-3.el7.nux.x86_64
      ---> Package libvdpau.x86_64 0:1.1.1-3.el7 will be installed
      --> Running transaction check
      ---> Package faac.x86_64 0:1.28-6.0.el7.nux will be installed
      ---> Package fdk-aac.x86_64 0:0.1.4-1 will be installed
      ---> Package lame-libs.x86_64 0:3.100-1.el7 will be installed
      ---> Package libass.x86_64 0:0.13.4-1.el7 will be installed
      --> Processing Dependency: libfribidi.so.0()(64bit) for package: libass-0.13.4-1.el7.x86_64
      ---> Package libdc1394.x86_64 0:2.2.2-3.el7 will be installed
      ---> Package libva.x86_64 0:1.8.3-0.1.el7 will be installed
      ---> Package openal-soft.x86_64 0:1.16.0-3.el7 will be installed
      ---> Package schroedinger.x86_64 0:1.0.11-4.el7 will be installed
      ---> Package soxr.x86_64 0:0.1.2-1.el7 will be installed
      ---> Package x264-libs.x86_64 0:0.142-11.20141221git6a301b6.el7.nux will be installed
      ---> Package x265-libs.x86_64 0:1.9-1.el7.nux will be installed
      ---> Package xvidcore.x86_64 0:1.3.2-5.el7.nux will be installed
      --> Running transaction check
      ---> Package fribidi.x86_64 0:0.19.4-6.el7 will be installed
      --> Finished Dependency Resolution

    Dependencies Resolved

    ================================================================================
    Package Arch Version Repository Size

    Installing:
    ffmpeg x86_64 2.6.8-3.el7.nux nux-dextop 1.5 M
    ffmpeg-devel x86_64 2.6.8-3.el7.nux nux-dextop 287 k
    Installing for dependencies:
    SDL x86_64 1.2.15-14.el7 base 204 k
    faac x86_64 1.28-6.0.el7.nux nux-dextop 269 k
    fdk-aac x86_64 0.1.4-1 nux-dextop 375 k
    ffmpeg-libs x86_64 2.6.8-3.el7.nux nux-dextop 5.0 M
    fribidi x86_64 0.19.4-6.el7 base 63 k
    lame-libs x86_64 3.100-1.el7 epel 354 k
    libass x86_64 0.13.4-1.el7 epel 92 k
    libavdevice x86_64 2.6.8-3.el7.nux nux-dextop 71 k
    libdc1394 x86_64 2.2.2-3.el7 epel 121 k
    libva x86_64 1.8.3-0.1.el7 epel 80 k
    libvdpau x86_64 1.1.1-3.el7 base 34 k
    openal-soft x86_64 1.16.0-3.el7 epel 282 k
    schroedinger x86_64 1.0.11-4.el7 epel 291 k
    soxr x86_64 0.1.2-1.el7 epel 77 k
    x264-libs x86_64 0.142-11.20141221git6a301b6.el7.nux nux-dextop 570 k
    x265-libs x86_64 1.9-1.el7.nux nux-dextop 1.5 M
    xvidcore x86_64 1.3.2-5.el7.nux nux-dextop 258 k

    Transaction Summary

    Install 2 Packages (+17 Dependent packages)

    Total download size: 11 M
    Installed size: 40 M
    Downloading packages:
    (1/19): SDL-1.2.15-14.el7.x86_64.rpm | 204 kB 00:00
    (2/19): fdk-aac-0.1.4-1.x86_64.rpm | 375 kB 00:00
    (3/19): ffmpeg-devel-2.6.8-3.el7.nux.x86_64.rpm | 287 kB 00:00
    (4/19): faac-1.28-6.0.el7.nux.x86_64.rpm | 269 kB 00:01
    (5/19): fribidi-0.19.4-6.el7.x86_64.rpm | 63 kB 00:00
    (6/19): ffmpeg-2.6.8-3.el7.nux.x86_64.rpm | 1.5 MB 00:01
    warning: /var/cache/yum/x86_64/7/epel/packages/lame-libs-3.100-1.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
    Public key for lame-libs-3.100-1.el7.x86_64.rpm is not installed
    (7/19): lame-libs-3.100-1.el7.x86_64.rpm | 354 kB 00:00
    (8/19): libass-0.13.4-1.el7.x86_64.rpm | 92 kB 00:00
    (9/19): libdc1394-2.2.2-3.el7.x86_64.rpm | 121 kB 00:00
    (10/19): libva-1.8.3-0.1.el7.x86_64.rpm | 80 kB 00:00
    (11/19): libavdevice-2.6.8-3.el7.nux.x86_64.rpm | 71 kB 00:00
    (12/19): openal-soft-1.16.0-3.el7.x86_64.rpm | 282 kB 00:00
    (13/19): schroedinger-1.0.11-4.el7.x86_64.rpm | 291 kB 00:00
    (14/19): libvdpau-1.1.1-3.el7.x86_64.rpm | 34 kB 00:00
    (15/19): soxr-0.1.2-1.el7.x86_64.rpm | 77 kB 00:00
    (16/19): x264-libs-0.142-11.20141221git6a301b6.el7.nux.x86 | 570 kB 00:00
    (17/19): xvidcore-1.3.2-5.el7.nux.x86_64.rpm | 258 kB 00:00
    (18/19): x265-libs-1.9-1.el7.nux.x86_64.rpm | 1.5 MB 00:01
    (19/19): ffmpeg-libs-2.6.8-3.el7.nux.x86_64.rpm | 5.0 MB 00:03

    Total 2.7 MB/s | 11 MB 00:04
    Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    Importing GPG key 0x352C64E5:
    Userid : "Fedora EPEL (7) [email protected]"
    Fingerprint: 91e9 7d7c 4a5e 96f1 7f3e 888f 6a2f aea2 352c 64e5
    Package : epel-release-7-9.noarch (@extras)
    From : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
    Warning: RPMDB altered outside of yum.
    Installing : SDL-1.2.15-14.el7.x86_64 1/19
    Installing : faac-1.28-6.0.el7.nux.x86_64 2/19
    Installing : x265-libs-1.9-1.el7.nux.x86_64 3/19
    Installing : fdk-aac-0.1.4-1.x86_64 4/19
    Installing : xvidcore-1.3.2-5.el7.nux.x86_64 5/19
    Installing : libva-1.8.3-0.1.el7.x86_64 6/19
    Installing : libvdpau-1.1.1-3.el7.x86_64 7/19
    Installing : soxr-0.1.2-1.el7.x86_64 8/19
    Installing : x264-libs-0.142-11.20141221git6a301b6.el7.nux.x86_64 9/19
    Installing : libdc1394-2.2.2-3.el7.x86_64 10/19
    Installing : fribidi-0.19.4-6.el7.x86_64 11/19
    Installing : libass-0.13.4-1.el7.x86_64 12/19
    Installing : schroedinger-1.0.11-4.el7.x86_64 13/19
    Installing : lame-libs-3.100-1.el7.x86_64 14/19
    Installing : ffmpeg-libs-2.6.8-3.el7.nux.x86_64 15/19
    Installing : openal-soft-1.16.0-3.el7.x86_64 16/19
    Installing : libavdevice-2.6.8-3.el7.nux.x86_64 17/19
    Installing : ffmpeg-devel-2.6.8-3.el7.nux.x86_64 18/19
    Installing : ffmpeg-2.6.8-3.el7.nux.x86_64 19/19
    Verifying : openal-soft-1.16.0-3.el7.x86_64 1/19
    Verifying : lame-libs-3.100-1.el7.x86_64 2/19
    Verifying : schroedinger-1.0.11-4.el7.x86_64 3/19
    Verifying : fribidi-0.19.4-6.el7.x86_64 4/19
    Verifying : ffmpeg-devel-2.6.8-3.el7.nux.x86_64 5/19
    Verifying : libdc1394-2.2.2-3.el7.x86_64 6/19
    Verifying : x264-libs-0.142-11.20141221git6a301b6.el7.nux.x86_64 7/19
    Verifying : libass-0.13.4-1.el7.x86_64 8/19
    Verifying : SDL-1.2.15-14.el7.x86_64 9/19
    Verifying : soxr-0.1.2-1.el7.x86_64 10/19
    Verifying : libvdpau-1.1.1-3.el7.x86_64 11/19
    Verifying : libva-1.8.3-0.1.el7.x86_64 12/19
    Verifying : ffmpeg-libs-2.6.8-3.el7.nux.x86_64 13/19
    Verifying : xvidcore-1.3.2-5.el7.nux.x86_64 14/19
    Verifying : libavdevice-2.6.8-3.el7.nux.x86_64 15/19
    Verifying : fdk-aac-0.1.4-1.x86_64 16/19
    Verifying : ffmpeg-2.6.8-3.el7.nux.x86_64 17/19
    Verifying : x265-libs-1.9-1.el7.nux.x86_64 18/19
    Verifying : faac-1.28-6.0.el7.nux.x86_64 19/19

    Installed:
    ffmpeg.x86_64 0:2.6.8-3.el7.nux ffmpeg-devel.x86_64 0:2.6.8-3.el7.nux

    Dependency Installed:
    SDL.x86_64 0:1.2.15-14.el7
    faac.x86_64 0:1.28-6.0.el7.nux
    fdk-aac.x86_64 0:0.1.4-1
    ffmpeg-libs.x86_64 0:2.6.8-3.el7.nux
    fribidi.x86_64 0:0.19.4-6.el7
    lame-libs.x86_64 0:3.100-1.el7
    libass.x86_64 0:0.13.4-1.el7
    libavdevice.x86_64 0:2.6.8-3.el7.nux
    libdc1394.x86_64 0:2.2.2-3.el7
    libva.x86_64 0:1.8.3-0.1.el7
    libvdpau.x86_64 0:1.1.1-3.el7
    openal-soft.x86_64 0:1.16.0-3.el7
    schroedinger.x86_64 0:1.0.11-4.el7
    soxr.x86_64 0:0.1.2-1.el7
    x264-libs.x86_64 0:0.142-11.20141221git6a301b6.el7.nux
    x265-libs.x86_64 0:1.9-1.el7.nux
    xvidcore.x86_64 0:1.3.2-5.el7.nux

    Complete!
    Shinobi - Do you want to Install Node.js?
    (y)es or (N)o
    y
    --2018-03-06 01:54:28-- https://rpm.nodesource.com/setup_8.x
    Resolving rpm.nodesource.com (rpm.nodesource.com)... 54.239.168.99, 54.239.168.107, 54.239.168.34, ...
    Connecting to rpm.nodesource.com (rpm.nodesource.com)|54.239.168.99|:443... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 6981 (6.8K) [text/plain]
    Saving to: ‘setup_8.x’

    100%[======================================>] 6,981 --.-K/s in 0s

    2018-03-06 01:54:28 (315 MB/s) - ‘setup_8.x’ saved [6981/6981]

    Installing the NodeSource Node.js 8.x repo...

    Inspecting system...

    • rpm -q --whatprovides redhat-release || rpm -q --whatprovides centos-release || rpm -q --whatprovides cloudlinux-release || rpm -q --whatprovides sl-release
    • uname -m

    Confirming "el7-x86_64" is supported...

    Downloading release setup RPM...

    Installing release setup RPM...

    • rpm -i --nosignature --force '/tmp/tmp.4OCAYcY3Ia'

    Cleaning up...

    • rm -f '/tmp/tmp.4OCAYcY3Ia'

    Checking for existing installations...

    • rpm -qa 'node|npm' | grep -v nodesource

    Run yum install -y nodejs (as root) to install Node.js 8.x and npm.

    You may also need development tools to build native addons:

    yum install -y gcc-c++ make

    Loaded plugins: fastestmirror, langpacks
    nodesource | 2.5 kB 00:00
    nodesource/x86_64/primary_db | 30 kB 00:00
    Loading mirror speeds from cached hostfile

    Dependencies Resolved

    ================================================================================
    Package Arch Version Repository Size

    Installing:
    nodejs x86_64 2:8.9.4-1nodesource nodesource 17 M

    Transaction Summary

    Install 1 Package

    Total download size: 17 M
    Installed size: 51 M
    Downloading packages:
    warning: /var/cache/yum/x86_64/7/nodesource/packages/nodejs-8.9.4-1nodesource.x86_64.rpm: Header V4 RSA/SHA256 Signature, key ID 34fa74dd: NOKEY
    Public key for nodejs-8.9.4-1nodesource.x86_64.rpm is not installed
    nodejs-8.9.4-1nodesource.x86_64.rpm | 17 MB 00:03
    Retrieving key from file:///etc/pki/rpm-gpg/NODESOURCE-GPG-SIGNING-KEY-EL
    Importing GPG key 0x34FA74DD:
    Userid : "NodeSource [email protected]"
    Fingerprint: 2e55 207a 95d9 944b 0cc9 3261 5ddb e8d4 34fa 74dd
    Package : nodesource-release-el7-1.noarch (installed)
    From : /etc/pki/rpm-gpg/NODESOURCE-GPG-SIGNING-KEY-EL
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
    Warning: RPMDB altered outside of yum.
    Installing : 2:nodejs-8.9.4-1nodesource.x86_64 1/1
    Verifying : 2:nodejs-8.9.4-1nodesource.x86_64 1/1

    Installed:
    nodejs.x86_64 2:8.9.4-1nodesource

    Complete!

    Shinobi - Do you want to Install MariaDB?
    (y)es or (N)o
    y
    Loaded plugins: fastestmirror, langpacks
    Loading mirror speeds from cached hostfile

    • base: centos-mirror.rbc.ru
    • epel: fedora-mirror01.rbc.ru
    • extras: centos-mirror.rbc.ru
    • nux-dextop: mirror.li.nux.ro
    • updates: centos-mirror.rbc.ru
      Resolving Dependencies
      --> Running transaction check
      ---> Package mariadb.x86_64 1:5.5.56-2.el7 will be installed
      ---> Package mariadb-server.x86_64 1:5.5.56-2.el7 will be installed
      --> Processing Dependency: perl-DBD-MySQL for package: 1:mariadb-server-5.5.56-2.el7.x86_64
      --> Running transaction check
      ---> Package perl-DBD-MySQL.x86_64 0:4.023-5.el7 will be installed
      --> Finished Dependency Resolution

    Dependencies Resolved

    ================================================================================
    Package Arch Version Repository Size

    Installing:
    mariadb x86_64 1:5.5.56-2.el7 base 8.7 M
    mariadb-server x86_64 1:5.5.56-2.el7 base 11 M
    Installing for dependencies:
    perl-DBD-MySQL x86_64 4.023-5.el7 base 140 k

    Transaction Summary

    Install 2 Packages (+1 Dependent package)

    Total download size: 20 M
    Installed size: 107 M
    Downloading packages:
    (1/3): perl-DBD-MySQL-4.023-5.el7.x86_64.rpm | 140 kB 00:00
    (2/3): mariadb-5.5.56-2.el7.x86_64.rpm | 8.7 MB 00:02
    (3/3): mariadb-server-5.5.56-2.el7.x86_64.rpm | 11 MB 00:02

    Total 6.9 MB/s | 20 MB 00:02
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
    Installing : 1:mariadb-5.5.56-2.el7.x86_64 1/3
    Installing : perl-DBD-MySQL-4.023-5.el7.x86_64 2/3
    Installing : 1:mariadb-server-5.5.56-2.el7.x86_64 3/3
    Verifying : 1:mariadb-server-5.5.56-2.el7.x86_64 1/3
    Verifying : perl-DBD-MySQL-4.023-5.el7.x86_64 2/3
    Verifying : 1:mariadb-5.5.56-2.el7.x86_64 3/3

    Installed:
    mariadb.x86_64 1:5.5.56-2.el7 mariadb-server.x86_64 1:5.5.56-2.el7

    Dependency Installed:
    perl-DBD-MySQL.x86_64 0:4.023-5.el7

    Complete!
    Created symlink from /etc/systemd/system/multi-user.target.wants/mariadb.service to /usr/lib/systemd/system/mariadb.service.

    NOTE: RUNNING ALL PARTS OF THIS SCRIPT IS RECOMMENDED FOR ALL MariaDB
    SERVERS IN PRODUCTION USE! PLEASE READ EACH STEP CAREFULLY!

    In order to log into MariaDB to secure it, we'll need the current
    password for the root user. If you've just installed MariaDB, and
    you haven't set the root password yet, the password will be blank,
    so you should just press enter here.

    Enter current password for root (enter for none):
    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: YES)
    Enter current password for root (enter for none):
    ERROR 1045 (28000): Access denied for user 'root'@'localhost' (using password: YES)
    Enter current password for root (enter for none):
    OK, successfully used password, moving on...

    Setting the root password ensures that nobody can log into the MariaDB
    root user without the proper authorisation.

    Set root password? [Y/n] n
    ... skipping.

    By default, a MariaDB installation has an anonymous user, allowing anyone
    to log into MariaDB without having to have a user account created for
    them. This is intended only for testing, and to make the installation
    go a bit smoother. You should remove them before moving into a
    production environment.

    Remove anonymous users? [Y/n] n
    ... skipping.

    Normally, root should only be allowed to connect from 'localhost'. This
    ensures that someone cannot guess at the root password from the network.

    Disallow root login remotely? [Y/n] n
    ... skipping.

    By default, MariaDB comes with a database named 'test' that anyone can
    access. This is also intended only for testing, and should be removed
    before moving into a production environment.

    Remove test database and access to it? [Y/n] y

    • Dropping test database...
      ... Success!
    • Removing privileges on test database...
      ... Success!

    Reloading the privilege tables will ensure that all changes made so far
    will take effect immediately.

    Reload privilege tables now? [Y/n] y
    ... Success!

    Cleaning up...

    All done! If you've completed all of the above steps, your MariaDB
    installation should now be secure.

    Thanks for using MariaDB!

    Shinobi - Database Installation
    (y)es or (N)o
    y
    What is your SQL Username?
    musa
    What is your SQL Password?

    Enter password:
    ERROR 1227 (42000) at line 1 in file: 'sql/user.sql': Access denied; you need (at least one of) the CREATE USER privilege(s) for this operation
    ERROR 1044 (42000) at line 2 in file: 'sql/user.sql': Access denied for user ''@'localhost' to database 'ccio'
    ERROR 1227 (42000) at line 3 in file: 'sql/user.sql': Access denied; you need (at least one of) the RELOAD privilege(s) for this operation
    Enter password:
    ERROR 1045 (28000): Access denied for user 'musa'@'localhost' (using password: YES)
    Shinobi - Do you want to create a new user for viewing and managing cameras in Shinobi? You can do this later in the Superuser panel.
    (y)es or (N)o
    y

    rm: cannot remove ‘sql/default_user.sql’: No such file or directory
    Enter password:
    ERROR 1045 (28000): Access denied for user 'musa'@'localhost' (using password: YES)
    The following details will be shown again at the end of the installation.

    ======= Login Credentials =======
    || Username : [email protected]
    || Password : P2cP9O
    || API Key : SkHlWOcqhcC7JtC1diJhWKiDbWsAgZ4i

    =====================================
    ** To change these settings login to either to the Superuser panel or login to the dashboard as the user that was just created and open the Settings window. **

    Shinobi - Install NPM Libraries
    npm WARN deprecated [email protected]: This package is no longer supported. It's now a built-in Node module. If you've depended on crypto, you should switch to the one that's built-in.

    [email protected] install /home/Shinobi/node_modules/dtrace-provider
    node-gyp rebuild || node suppress-error.js

    make: Entering directory /home/Shinobi/node_modules/dtrace-provider/build' TOUCH Release/obj.target/DTraceProviderStub.stamp make: Leaving directory/home/Shinobi/node_modules/dtrace-provider/build'
    npm notice created a lockfile as package-lock.json. You should commit this file.
    npm WARN [email protected] license should be a valid SPDX license expression

    added 406 packages in 19.976s

    Shinobi - Install PM2
    npm WARN registry Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning EINTEGRITY: sha1-QFUCsAfzGcP0cXXER0UnMA8qta0= integrity checksum failed when using sha1: wanted sha1-QFUCsAfzGcP0cXXER0UnMA8qta0= but got sha512-zr6QQnzLt3Ja0t0XI8gws2kn7zV2p0l/D3kreNvS6hFZhVU5g+uY/30l42jbgt0XGcNBEmBDGJR71J692V92tA==. (260 bytes)
    npm WARN registry Using stale package data from https://registry.npmjs.org/ due to a request error during revalidation.
    /usr/bin/pm2-docker -> /usr/lib/node_modules/pm2/bin/pm2-docker
    /usr/bin/pm2 -> /usr/lib/node_modules/pm2/bin/pm2
    /usr/bin/pm2-runtime -> /usr/lib/node_modules/pm2/bin/pm2-runtime
    /usr/bin/pm2-dev -> /usr/lib/node_modules/pm2/bin/pm2-dev
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: [email protected] (node_modules/pm2/node_modules/fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for [email protected]: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

    • [email protected]
      added 243 packages in 18.67s
      Default Superuser : [email protected]
      Default Password : admin
      Shinobi - Finished
      Shinobi - Start Shinobi and set to start on boot?
      (y)es or (N)o
      y

                        -------------
      

    /\\\\\\_/\\/\\/\\\\_
    /\/////////\_/\\\
    /\\\/\///////\_
    /\_/\_/\//\_/\//\_/////\_
    /\\\\\\/
    /\\///\/\/
    /\_
    /\/
    /\/////////
    /\_
    ///\/
    /\_/\//
    /\_
    /\_////\_/\//______
    /\_/\_/\_/\/__________
    /\_/\_/\_/\\\\\\\_
    ////////////////////////_

                          Community Edition
    
            Production Process Manager for Node.js applications
                     with a built-in Load Balancer.
    
    
                Start and Daemonize any application:
                $ pm2 start app.js
    
                Load Balance 4 instances of api.js:

 

Looks like your connection to Shinobi Forum was lost, please wait while we try to reconnect.